#ifndef FONT_SPRITE_H
#define FONT_SPRITE_H

#include "sprite_handler.h"
#include <SDL_ttf.h>

struct Font_Sprite
{
  std::string msg_edit;        //an editable string that will be displayed
  SDL_Surface *message;        //the actual surface (converted from the string)
  TTF_Font *font;              //the font of the text to be used.
  SDL_Color textColor;         //text color of the text.
  
  short x, y;                  //the surfaces blit x & y
  bool drawn;                  //if it's drawn or not.
};

#endif
